using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

using Produkty.Models.Abstract;
using Produkty.Models.ViewModel;

namespace Produkty.Controllers
{
    public class ProduktController : Controller
    {
        //
        // GET: /Produkt/

        private IProduktRepository repo;
        public ProduktController(IProduktRepository _repo)
        {
            repo = _repo;
        }

        public ActionResult Produkty()
        {
            ProduktView pv = new ProduktView()
            {
                Produkty = repo.Produkty
            };
            return View(pv);
        }
    }
}
